//=========================================================================
/** Java Command Design Pattern - Punkt
 */
//=========================================================================
import java.awt.Color;

public class CMPunkt implements ICMCommandListener
{
   private int xKoordinate = 0;
   private int yKoordinate = 0; 
   private Color rColor   = Color.black; 
   
   //----------------------------------------------------------------------
   public CMPunkt(int px, int py)
   {
      super();
      xKoordinate = px; 
      yKoordinate = py;
   }
   
   //----------------------------------------------------------------------
   public void doCommand (CMCommand pCommand)
   {
      // Punkt kann weder gefllt noch skaliert werden
      if (pCommand.getCommandText().equals("Linecolor"))
      {
         rColor = (Color)(pCommand.getData());
      }
   }
   
   //----------------------------------------------------------------------
   public String toString()
   {
      StringBuffer sb = new StringBuffer();
      sb.append ("Punkt: " + xKoordinate + ", " + yKoordinate 
                 + ", Color: " + rColor);
      return sb.toString();
   }
}
