//=========================================================================
/** Java Decorator Pattern - Decorator fr Euro-Zone
 */
//=========================================================================
public class DCDecoratorEuro extends DCDecoratorWareBasis implements DCIDecoratorBasis
{
   //-------------------------------------------------------------------------
   // Constructor
   //-------------------------------------------------------------------------
   public DCDecoratorEuro (DCWare rNewWare)
   {
      super (rNewWare);
   }

   //-------------------------------------------------------------------------
   // getVKPreis ()
   //-------------------------------------------------------------------------
   public double getVKPreis ()
   {
      double fVKPreis = rWare.getEKPreis();
      fVKPreis = fVKPreis * getProfitfactor();
      fVKPreis = fVKPreis * getMWSTfactor();
      return fVKPreis;
   }

   //-------------------------------------------------------------------------
   // getMWSTfactor ()
   //-------------------------------------------------------------------------
   private double getMWSTfactor ()
   {
      return 1.17; // BESSER: aus externer Datenbank lesen
   }

   //-------------------------------------------------------------------------
   // getProfitfactor ()
   //-------------------------------------------------------------------------
   public double getProfitfactor ()
   {
      return 2.0; // BESSER: aus externer Datenbank lesen 
                  // zB. gem Warengruppe
   }
}
