//=========================================================================
/** Java Decorator Pattern - Ware
 */
//=========================================================================
public class DCWare implements DCIWarenInterface
{
   String sName    = null;
   double fEKPreis = 0.0;   
   
   //-------------------------------------------------------------------------
   //  Constructor
   //-------------------------------------------------------------------------
   public DCWare ()
   {
      sName = new String ();
   }

   //-------------------------------------------------------------------------
   //  Constructor
   //-------------------------------------------------------------------------
   public DCWare (String sNew, double fNew)
   {
      sName    = sNew;
      fEKPreis = fNew;
   }

   //-------------------------------------------------------------------------
   // setName (String)
   //-------------------------------------------------------------------------
   public void setName (String sNew)
   {
      sName = new String (sNew);
   }

   //-------------------------------------------------------------------------
   // getName ()
   //-------------------------------------------------------------------------
   public String getName ()
   {
      return sName;
   }

   //-------------------------------------------------------------------------
   // setEKPreis (const double fNew)
   //-------------------------------------------------------------------------
   public void setEKPreis (double fNew)
   {
      fEKPreis = fNew;
   }

   //-------------------------------------------------------------------------
   // getEKPreis ()
   //-------------------------------------------------------------------------
   public double getEKPreis ()
   {
      return fEKPreis;
   }
   
}
