//=========================================================================
/*
 * Java Facade Design Pattern - Facade Kunde, verbirgt Struktur 
 * Person/Adresse/Kommunikationsverbindung
 * Created on 15.11.2003
 */
//=========================================================================
public class FAFacadeKunde
{
   private FAPerson rPerson = new FAPerson();

   //----------------------------------------------------------------------
   /**
    * Constructor
    */
   //----------------------------------------------------------------------
   public FAFacadeKunde()
   {
      super();
   }

   //----------------------------------------------------------------------
   public String getName()
   {
      return rPerson.getName();
   }

   //----------------------------------------------------------------------
   public void setName(String pName)
   {
      rPerson.setName(pName);
   }

   //----------------------------------------------------------------------
   public String getPlzOrt()
   {
      return rPerson.getAdresse().getPlzOrt();
   }

   //----------------------------------------------------------------------
   public String getStrasseHsnr()
   {
      return rPerson.getAdresse().getStrasseHsnr();
   }

   //----------------------------------------------------------------------
   public void setPlzOrt(String pPlzOrt)
   {
      rPerson.getAdresse().setPlzOrt(pPlzOrt);
   }

   //----------------------------------------------------------------------
   public void setStrasseHsnr(String pStrasseHsnr)
   {
      rPerson.getAdresse().setStrasseHsnr(pStrasseHsnr);
   }
   
   //----------------------------------------------------------------------
   /**
    * @return
    */
   //----------------------------------------------------------------------
   public String getNummer()
   {
      return rPerson.getAdresse().getKommunikation().getNummer();
   }

   //----------------------------------------------------------------------
   /**
    * @param pString
    */
   //----------------------------------------------------------------------
   public void setNummer(String pNummer)
   {
      rPerson.getAdresse().getKommunikation().setNummer(pNummer);
   }
}
