//=========================================================================
/*
 * Java Facade Design Pattern - Testprogramm
 * Created on 15.11.2003
 */
//=========================================================================
public class Facade
{
   //----------------------------------------------------------------------
   // Hauptprogramm
   //----------------------------------------------------------------------      
   public static void main(String[] args)
   {
      //-------------------------------------------------------------------
      // Ohne Facade-Pattern
      //-------------------------------------------------------------------
      FAPerson        rP = new FAPerson();
      
      rP.setName("Donald Duck");
      rP.getAdresse().setStrasseHsnr("Entengasse 13");
      rP.getAdresse().setPlzOrt("1313 Entenhausen");
      rP.getAdresse().getKommunikation().setNummer("013 - 13 13 13");
      
      System.out.println("Name....: " + rP.getName());
      System.out.println("Strasse.: " + rP.getAdresse().getStrasseHsnr());
      System.out.println("Ort.....: " + rP.getAdresse().getPlzOrt());
      System.out.println("Telephon: " + rP.getAdresse().getKommunikation().getNummer());
      
      System.out.println("");
      
      //-------------------------------------------------------------------
      // Mit Facade-Pattern
      //-------------------------------------------------------------------
      FAFacadeKunde rF = new FAFacadeKunde();
      rF.setName("Dagobert Duck");
      rF.setStrasseHsnr("Geldspeicher 1");
      rF.setPlzOrt("3333 Entenhausen");
      rF.setNummer("012 - 34 56 78");
      
      System.out.println("Name....: " + rF.getName());
      System.out.println("Strasse.: " + rF.getStrasseHsnr());
      System.out.println("Ort.....: " + rF.getPlzOrt());
      System.out.println("Telephon: " + rF.getNummer());
   }
}
