//=========================================================================
/** Java Factory Design Pattern - Testprogramm
 */
//=========================================================================
import java.util.Vector;

public class Factory
{
   //----------------------------------------------------------------------
   // Hauptprogramm
   //----------------------------------------------------------------------      
   public static void main(String[] args)
   {
      FAFactory        rFactory = new FAFactory();
      Vector           vElemente   = rFactory.getElemente();
      Vector           vInstanzen  = new Vector();
      Vector           vProperties = null;
      String           sTemp       = null; 
      int              nTemp       = 111;
      FAGraphicElement rElement    = null;
      
      // Von jeder Art ein Element erstellen
      for (int i=0; i<vElemente.size(); i++)
      {
         sTemp = (String)vElemente.elementAt(i);
         vInstanzen.add(rFactory.create(sTemp));
      }

      // Inhalt des Instanzen-Vectors ausgeben
      System.out.println ("\nAusgabe:\n");
      for (int i=0; i<vInstanzen.size(); i++)
      {
         System.out.println(vInstanzen.elementAt(i).toString());
      }
      
      // Erstes Element nehmen und die Properties generisch fllen
      rElement = (FAGraphicElement)vInstanzen.elementAt(0);
      vProperties = rElement.getProperties();
      for (int i=0; i<vProperties.size(); i++)
      {
         sTemp = (String)vProperties.elementAt(i);
         rElement.setProperty(sTemp, Integer.toString(nTemp));
         nTemp = nTemp + 111;
      }
      
      // Inhalt des Instanzen-Vectors ausgeben
      System.out.println ("\nAusgabe:\n");
      for (int i=0; i<vInstanzen.size(); i++)
      {
         System.out.println(vInstanzen.elementAt(i).toString());
      }
   }
}
