//=========================================================================
/** Java Singleton Design Pattern - Sicherungsstrategie, sichern als HTML
 */
//=========================================================================
import java.io.FileWriter;
import java.io.IOException;
import java.io.PrintWriter;

public class STSaveStrategyHtmltext extends STSaveStrategy
{
   //----------------------------------------------------------------------
   public STSaveStrategyHtmltext()
   {
      super();
   }

   //----------------------------------------------------------------------
   public void save(String pText)
   {
      try
      {
         FileWriter  rFileOut = new FileWriter("C:\\test.htm");
         PrintWriter rOut     = new PrintWriter(rFileOut);
         
         rOut.println("<html>"); 
         rOut.println("   <head>");
         rOut.println("      <title>Strategy Test</title>");
         rOut.println("      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=iso-8859-1\">");
         rOut.println("   </head>");
         rOut.println("   <body>");
         rOut.println(pText);
         rOut.println(   "</body>");
         rOut.println("</html>");

         rFileOut.close();
         System.out.println ("Saved as HTML");
      }
      catch (IOException e)
      {
         System.out.println(e);
      }
   }
}
