//=========================================================================
/** Java Template Method Design Pattern - TMProdukt
 *  Erweiterung von TMFilesaver
 *  Created on 18.04.2003
 */
//=========================================================================
import java.io.FileWriter;

public class TMProdukt extends TMFilesaver 
{
	private String sName  = null;
	private double fPreis = 0.0;
	
	//-------------------------------------------------------------------------
	// Constructor
	//-------------------------------------------------------------------------
	public TMProdukt (String sNew, double fNew)
	{
		super();
		sName = new String (sNew);
		fPreis = fNew;
	}
	
	//-------------------------------------------------------------------------
	// save_write muss hier berschrieben werden
	//-------------------------------------------------------------------------
	protected void save_write (FileWriter rDatei)
	{
		try
		{
			rDatei.write("TMProdukt:");
			rDatei.write("\n");
			rDatei.write(getName());
			rDatei.write("\n");
			rDatei.write(Double.toString(fPreis));
			rDatei.write("\n");
		}
		catch (Exception e)
		{
			e.printStackTrace();
		}
	}

	//-------------------------------------------------------------------------
	// setName (String)
	//-------------------------------------------------------------------------
	public void setName (String sNew)
	{
		sName = new String (sNew);
	}

	//-------------------------------------------------------------------------
	// getName ()
	//-------------------------------------------------------------------------
	public String getName ()
	{
		return new String (sName);
	}

	//-------------------------------------------------------------------------
	// setPreis (double)
	//-------------------------------------------------------------------------
	public void setPreis (double fNew)
	{
	  fPreis = fNew;
	}

	//-------------------------------------------------------------------------
	// getPreis ()
	//-------------------------------------------------------------------------
	public double getPreis ()
	{
		return fPreis;
	}
}
