//=========================================================================
/** Java Bridge Design Pattern - Verkaufsleitersicht
 *  Created on 15.11.2003
 */
//=========================================================================
import java.util.Vector;

public class BRViewVerkaufsleiter extends BRView
{
   //---------------------------------------------------------------------------
   /**
    * Constructor
    */
   //---------------------------------------------------------------------------
   public BRViewVerkaufsleiter(BRBridge pBridge)
   {
      super(pBridge);
   }

   //---------------------------------------------------------------------------
   /**
    * showWarenListe
    */
   //---------------------------------------------------------------------------
   public void showWarenListe()
   {
      Vector vListe = rBridge.getVerkaufsleiterListe();
      System.out.println("****** Verkaufsleiter ******");
      for (int i=0; i<vListe.size(); i++)
      {
         System.out.println(vListe.elementAt(i).toString());
      }
      System.out.println("");
   }
}
