//=========================================================================
/** Java Builder Design Pattern - Konvertierungsobjekt, Meter->Yard
 *  Created on 11.12.2003
 */
//=========================================================================
public class BUBuilderMeter2Yard extends BUBuilderAbstract
{
   //----------------------------------------------------------------------
   public BUBuilderMeter2Yard()
   {
      super();
   }

   //----------------------------------------------------------------------
   public Object construct(Object pObject)
   {
      BUMeasurementYard rYard = null;
      if (pObject instanceof BUMeasurementMeter)
      {
         BUMeasurementMeter rMeter = (BUMeasurementMeter)pObject;
         rYard = new BUMeasurementYard(rMeter.get() / 0.9);
      }
      return rYard;
   }
}
