//=========================================================================
/** Java Builder Design Pattern - Maeinheit, enthlt Angaben in Metern
 *  Created on 11.12.2003
 */
//=========================================================================
public class BUMeasurementMeter
{
   private double            fMeter   = 0.0;
   private BUBuilderAbstract rBuilder = null; 
   
   //----------------------------------------------------------------------
   public BUMeasurementMeter (double pMeter)
   {
      super();
      set(pMeter);
   }

   //----------------------------------------------------------------------
   public double get()
   {
      return fMeter;
   }

   //----------------------------------------------------------------------
   public void set(double pMeter)
   {
      fMeter = pMeter;
   }
   
   //----------------------------------------------------------------------
   public BUBuilderAbstract getBuilder()
   {
      return rBuilder;
   }

   //----------------------------------------------------------------------
   public void setBuilder(BUBuilderAbstract pBuilder)
   {
      rBuilder = pBuilder;
   }

   //----------------------------------------------------------------------
   public Object build()
   {
      Object rRC = null;
      if (rBuilder != null)
      {
         rRC = rBuilder.construct(this);
      }
      return rRC;
   }
}
