//=========================================================================
/** Java Builder Design Pattern - Testprogramm
 *  Created on 11.12.2003
 */
//=========================================================================
public class Builder
{
   //----------------------------------------------------------------------
   // Hauptprogramm
   //----------------------------------------------------------------------      
   public static void main(String[] args)
   {
      BUMeasurementMeter rMeter = new BUMeasurementMeter(1.0);
      BUMeasurementYard  rYard  = null;
      BUMeasurementInch  rInch  = null;
       
      BUBuilderMeter2Inch rM2I  = new BUBuilderMeter2Inch();
      BUBuilderMeter2Yard rM2Y  = new BUBuilderMeter2Yard();
      
      rMeter.setBuilder(rM2Y);
      rYard = (BUMeasurementYard)rMeter.build();
      System.out.println("Yards: " + rYard.get());
      
      rMeter.setBuilder(rM2I);
      rInch = (BUMeasurementInch)rMeter.build();
      
      System.out.println("Inch: " + rInch.get());
   }
}
