//=========================================================================
/** Java Command Design Pattern - abstrakte Basisklasse fr Befehle
 */
//=========================================================================
abstract public class CMCommand
{
   private String sCommandText = null;

   //----------------------------------------------------------------------
   public CMCommand(String pCommand)
   {
      super();
      sCommandText = pCommand;
   }

   //----------------------------------------------------------------------
   public String getCommandText()
   {
      return sCommandText;
   }
   
   //----------------------------------------------------------------------
   abstract public Object getData();

   //----------------------------------------------------------------------
   abstract public void setData(Object pData);
}
