//=========================================================================
/** Java Command Design Pattern - Befehl Linienfarbe
 */
//=========================================================================
import java.awt.Color;

public class CMCommandLinecolor extends CMCommand
{
   private Color rColor = null;

   //----------------------------------------------------------------------
   public CMCommandLinecolor()
   {
      super("Linecolor");
   }

   //----------------------------------------------------------------------
   public Object getData()
   {
      return rColor;
   }

   //----------------------------------------------------------------------
   public void setData(Object pColor)
   {
      try
      {
         rColor = (Color)pColor;
      }
      catch (ClassCastException e)
      {
         System.out.println(e);
      }
   }
}
