//=========================================================================
/** Java Composite Design Pattern - Gruppe
 */
//=========================================================================
import java.util.Vector;

public class COGroup extends COElement
{
   private Vector vElemente = new Vector();
   
   //----------------------------------------------------------------------
   public COGroup()
   {
      super();
   }

   //----------------------------------------------------------------------
   public void add(COElement pElement)
   {
      vElemente.add(pElement);
   }

   //----------------------------------------------------------------------
   public String toString()
   {
      return toString(0);
   }

   //----------------------------------------------------------------------
   public String toString(int pLevel)
   {
      StringBuffer sb = new StringBuffer(80);

      for (int i=0; i<pLevel; i++)
      {
         sb.append("  ");
      }
      sb.append("Gruppe: \n");
      
      for (int i=0; i<vElemente.size(); i++)
      {
         if (vElemente.elementAt(i) instanceof COGroup)
         {
            sb.append(((COElement)vElemente.elementAt(i)).toString(pLevel+1));
         }
         else
         {
            sb.append(((COElement)vElemente.elementAt(i)).toString(pLevel+1));
         } 
         sb.append("\n");
      }
      return sb.toString();
   }
}
