//=========================================================================
/** Java Composite Design Pattern - Punkt
 */
//=========================================================================
public class COPunkt extends COElement
{
   private int x;
   private int y;
   
   //----------------------------------------------------------------------
   public COPunkt(int px, int py)
   {
      super();
      set(px, py);
   }
   
   //----------------------------------------------------------------------
   public void set(int px, int py)
   {
      x = px;
      y = py;
   }
   
   //----------------------------------------------------------------------
   public String toString()
   {
      return toString(0);
   }

   //----------------------------------------------------------------------
   public String toString(int pLevel)
   {
      StringBuffer sb = new StringBuffer();
      for (int i=0; i<pLevel; i++)
      {
         sb.append("  ");
      }
      sb.append ("Punkt: " + x + ", " + y);
      return sb.toString();
   }
}
