//=========================================================================
/** Java Composite Design Pattern - Testprogramm
 */
//=========================================================================
import java.util.Vector;

public class Composite
{
   //----------------------------------------------------------------------
   // Hauptprogramm
   //----------------------------------------------------------------------      
   public static void main(String[] args)
   {
      Vector vElemente = new Vector();
      
      vElemente.add(new COLinie(1,1,10,10));
      vElemente.add(new COPunkt(21,21));
      vElemente.add(new COPunkt(24,21));
      vElemente.add(new COLinie(31,31,10,10));
      
      COLinie rL1 = new COLinie(4,4,44,44);
      COPunkt rP1 = new COPunkt(41,41);
      COGroup rG1 = new COGroup();
      rG1.add(rL1);
      rG1.add(rP1);
      vElemente.add(rG1);
      
      COLinie rL2 = new COLinie(5,5,55,55);
      COPunkt rP2 = new COPunkt(51,51);
      COGroup rG2 = new COGroup();
      rG2.add(rL2);
      rG2.add(rP2);

      COLinie rL3 = new COLinie(6,6,66,66);
      COPunkt rP3 = new COPunkt(61,61);
      COGroup rG3 = new COGroup();
      rG3.add(rL3);
      rG3.add(rP3);
      rG3.add(rG2);

      vElemente.add(rG3);

      for (int i=0; i<vElemente.size(); i++)
      {
         System.out.println(vElemente.elementAt(i).toString());
      }
   }
}
