//=========================================================================
/** Java Decorator Pattern - Decorator-Basisklasse fr verwaltete Ware
 */
//=========================================================================
public class DCDecoratorWareBasis implements DCIWarenInterface
{
   DCWare rWare = null;
   
   //-------------------------------------------------------------------------
   // Constructor
   //-------------------------------------------------------------------------
   public DCDecoratorWareBasis (DCWare rNewWare)
   {
      rWare = rNewWare;
   }

   //-------------------------------------------------------------------------
   // setName (String)
   //-------------------------------------------------------------------------
   public void setName (String sNew)
   {
      rWare.setName(sNew);
   }

   //-------------------------------------------------------------------------
   // getName ()
   //-------------------------------------------------------------------------
   public String getName ()
   {
      return rWare.getName();
   }

   //-------------------------------------------------------------------------
   // setEKPreis (double fNew)
   //-------------------------------------------------------------------------
   public void setEKPreis (double fNew)
   {
      rWare.setEKPreis(fNew);
   }

   //-------------------------------------------------------------------------
   // getEKPreis ()
   //-------------------------------------------------------------------------
   public double getEKPreis ()
   {
      return rWare.getEKPreis();
   }


}
