//=========================================================================
/** Java Decorator Design Pattern - Testprogramm
 */
//=========================================================================
public class Decorator
{
   //----------------------------------------------------------------------
   // Hauptprogramm
   //----------------------------------------------------------------------      
   public static void main(String[] args)
   {
      DCWare aObject = new DCWare ("Vergaserinnenbeleuchtung", 123.45);

      DCDecoratorEuro aEuroZone = new DCDecoratorEuro (aObject);
      DCDecoratorUS   aUSZone   = new DCDecoratorUS   (aObject);

      System.out.println("E U R O Z O N E");
      System.out.println(aEuroZone.getName() + ": " + aEuroZone.getVKPreis());

      System.out.println();

      System.out.println("U S Z O N E");
      System.out.println(aUSZone.getName() + ": " + aUSZone.getVKPreis() +
                         " (" + aUSZone.getTax() + " Tax)");
   } 
}
