//=========================================================================
/** Java Factory Design Pattern - Kreis
 */
//=========================================================================
import java.util.Vector;

public class FAKreis extends FAGraphicElement
{
   private int xKoordinate = 0;
   private int yKoordinate = 0; 
   private int nRadius     = 0;
   private static Vector vProperties = null;
   
   //----------------------------------------------------------------------
   public FAKreis()
   {
      super();
      if (vProperties == null)
      {
         vProperties = new Vector();
         vProperties.add ("xKoordinate");
         vProperties.add ("yKoordinate");
         vProperties.add ("Radius");
      }
   }

   //----------------------------------------------------------------------
   public Vector getProperties()
   {
      return vProperties;
   }

   //----------------------------------------------------------------------
   public String getProperty(String pProperty)
   {
      String sRC = null;
      if (pProperty != null)
      {
         if (pProperty.equals("xKoordinate"))
         {
            sRC = new String (Integer.toString(xKoordinate));
         }
         else if (pProperty.equals("yKoordinate"))
         {
            sRC = new String (Integer.toString(yKoordinate));
         }
         else if (pProperty.equals("Radius"))
         {
            sRC = new String (Integer.toString(nRadius));
         }
      }
      return sRC;
   }

   //----------------------------------------------------------------------
   public void setProperty(String pProperty, String pValue)
   {
      if ((pProperty != null) && (pValue != null))
      {
         if (pProperty.equals("xKoordinate"))
         {
            xKoordinate = Integer.parseInt(pValue);
         }
         else if (pProperty.equals("yKoordinate"))
         {
            yKoordinate = Integer.parseInt(pValue);
         }
         else if (pProperty.equals("Radius"))
         {
            nRadius = Integer.parseInt(pValue);
         }
      }
   }
   
   //----------------------------------------------------------------------
   public String toString()
   {
      StringBuffer sb = new StringBuffer();
      sb.append ("Kreis: " + xKoordinate + ", " + yKoordinate + ", rad " + nRadius);
      return sb.toString();
   }
}
