//=========================================================================
/** Java StrategyDesign Pattern - Testprogramm
 */
//=========================================================================
public class Strategy
{
   //----------------------------------------------------------------------
   // Hauptprogramm
   //----------------------------------------------------------------------      
   public static void main(String[] args)
   {
      STLongText sText = new STLongText();
      STSaveStrategyPlaintext rPlain = new STSaveStrategyPlaintext();
      STSaveStrategyHtmltext  rHtml  = new STSaveStrategyHtmltext();
      
      sText.setText("Hallo, dies ist ein Test");
      sText.save();
      
      sText.setSaveStrategy(rPlain);
      sText.save();

      sText.setSaveStrategy(rHtml);
      sText.save();
   }
}
